%define aurox_ver 9.3
%define rel 1

Summary: Dr.Genius advanced math tool.
Name: drgenius
Version: 0.8.4
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: Applications/Education
URL: http://www.ofset.org/drgenius/
Source: http://www.ofset.org/%{name}/%{name}-%{version}.tar.gz
Source1: gnome-application-x-drgenius.png
Source2: drgenius.applications
Source3: drgenius.keys
Source4: drgenius.mime
Source5: x-drgenius.desktop
Patch: drgenius-0.8.4-texts.patch
Patch1: drgenius-0.8.4-pl.patch
Patch2: drgenius-0.8.4-font.patch
Patch3: drgenius-0.8.4-status.patch
Patch4: drgenius-0.8.4-savemacro.patch
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: flex, bison, gmp-devel >= 2.0.2, glib-devel, gtk+-devel
BuildRequires: guile-devel, gnome-libs-devel, gob >= 1.0.10, libxml-devel
BuildRequires: desktop-file-utils

%description
Dr.Genius is a general tool for mathematics, including a mathematical
programming language and evaluator and an euclidian geometry tool.  It handles
multiple precision floating point numbers, infinite precision integers,
complex numbers and matrixes.

%prep
%setup
%patch -p1 -b .texts
%patch1 -p1 -b .pl
%patch2 -p1 -b .font
%patch3 -p1 -b .status
%patch4 -p1 -b .savemacro

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor gnome --delete-original    \
  --dir %{buildroot}%{_datadir}/applications             \
  --add-category Application                             \
  --add-category Education                               \
  --add-category Math                                    \
  --add-category X-Aurox-Base                            \
  %{buildroot}%{_datadir}/gnome/apps/Utilities/drgenius.desktop

mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_datadir}/application-registry/
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/application-registry/
mkdir -p %{buildroot}%{_datadir}/mime-info/
install -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/mime-info/
install -m 0644 %{SOURCE4} %{buildroot}%{_datadir}/mime-info/
#mkdir -p %{buildroot}%{_datadir}/mimelnk/application/
#install -m 0644 %{SOURCE5} %{buildroot}%{_datadir}/mimelnk/application/

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/drgenius
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/application-registry/*
%{_datadir}/mime-info/*
#%{_datadir}/mimelnk/application/

%changelog
* Sat Jan 31 2004 Aurox Team <aurox@aurox.org> 0:0.8.4-9.3.aur.1
- rebuild

* Thu Aug 14 2003 Robert Glowczynski <robertg@software.com.pl> - 0.8.4-9.1.aur.1
- fixed "save multiple" with macro bug (saving macros possible now)

* Fri Apr 04 2003 Robert Glowczynski <robertg@software.com.pl> - 0.8.4-2aur
- translations updated; patches for replaced text; missing textdomain and 
  wrong font charset added
- register Dr. Genius mime types

* Fri Apr 04 2003 Robert Glowczynski <robertg@software.com.pl> - 0.8.4-1aur
- new version
- rebuild for Aurox Linux 9

* Mon Feb 24 2003 Robert Glowczynski <robertg@software.com.pl> - 0.8.3
- install menu in /usr/share/applications
- rebuild for Aurox Linux 8

* Tue Jan 07 2003 Dag Wieers <dag@wieers.com> - 0.7.2
- Initial package
